| AAX SDK 2.8.0 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_IACFPrivateDataAccess Class Referenceabstract
AAX SDK Manual » Additional AAX features » Direct data access interface

`#include <AAX_IACFPrivateDataAccess.h>`

Inheritance diagram for AAX_IACFPrivateDataAccess:
[legend]
Collaboration diagram for AAX_IACFPrivateDataAccess:
[legend]

## Description

Interface for the AAX host's data access functionality.

## Public Member Functions
virtual AAX_Result | ReadPortDirect (AAX_CFieldIndex inFieldIndex, const uint32_t inOffset, const uint32_t inSize, void *outBuffer)=0
| Read data directly from DSP at the given port.
virtual AAX_Result | WritePortDirect (AAX_CFieldIndex inFieldIndex, const uint32_t inOffset, const uint32_t inSize, const void *inBuffer)=0
| Write data directly to DSP at the given port.
Public Member Functions inherited from IACFUnknown
virtual BEGIN_ACFINTERFACE ACFRESULT ACFMETHODCALLTYPE | QueryInterface (const acfIID &iid, void **ppOut)=0
| Returns pointers to supported interfaces.
virtual acfUInt32 ACFMETHODCALLTYPE | AddRef (void)=0
| Increments reference count.
virtual acfUInt32 ACFMETHODCALLTYPE | Release (void)=0
| Decrements reference count.

## Member Function Documentation

## ◆ ReadPortDirect()

virtual AAX_Result AAX_IACFPrivateDataAccess::ReadPortDirect | ( | AAX_CFieldIndex | inFieldIndex,
|  | const uint32_t | inOffset,
|  | const uint32_t | inSize,
|  | void * | outBuffer
| ) |  |
| pure virtual

Read data directly from DSP at the given port.

Note
  Blocking

Parameters

  [in] | inFieldIndex | The port to read from.
  [in] | inOffset | Offset into data to start reading.
  [in] | inSize | Amount of data to read (in bytes).
  [out] | outBuffer | Pointer to storage for data to be read into.

## ◆ WritePortDirect()

virtual AAX_Result AAX_IACFPrivateDataAccess::WritePortDirect | ( | AAX_CFieldIndex | inFieldIndex,
|  | const uint32_t | inOffset,
|  | const uint32_t | inSize,
|  | const void * | inBuffer
| ) |  |
| pure virtual

Write data directly to DSP at the given port.

Note
  Blocking

Parameters

  [in] | inFieldIndex | The port to write to.
  [in] | inOffset | Offset into data to begin writing.
  [in] | inSize | Amount of data to write (in bytes).
  [in] | inBuffer | Pointer to data being written.

The documentation for this class was generated from the following file:

- AAX_IACFPrivateDataAccess.h